KDCOPPropertyProxy class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDCOPPropertyProxy Class Reference

The KDCOPPropertyProxy class provides an easy way to publish Qt properties of a QObject through DCOP. More...

`#include <kdcoppropertyproxy.h>`

List of all members.

## Public Member Functions
| KDCOPPropertyProxy (QObject *object)
| Convenience constructor.
| ~KDCOPPropertyProxy ()
| Destructor.
bool | isPropertyRequest (const QCString &fun)
| Convenience method, when using this class as object.
bool | processPropertyRequest (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
| Convenience method, when using this class as object.
QValueList< QCString > | functions ()
| Convenience method, when using this class as object.
## Static Public Member Functions
QValueList< QCString > | functions (QObject *object)
| Returns a semicolon-separated list of functions understood by the PropertyProxy for the given QObject argument.
bool | isPropertyRequest (const QCString &fun, QObject *object)
| Returns true if the method request in the fun argument matches the signature of the three standard property methods or set/get methods for the properties of the object argument.
bool | processPropertyRequest (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData, QObject *object)
| Processes the given DCOP method request by translating the request into a setProperty/property call on the given QObject argument.

## Detailed Description

The KDCOPPropertyProxy class provides an easy way to publish Qt properties of a QObject through DCOP.

The class provides DCOP equivalents for the Qt property methods setProperty() , property() and propertyNames() and also provides automatic set/get methods for the properties of a QObject. That means for example if your object provides a QString property called foo , then KDCOPPropertyProxy translates DCOP calls "setFoo( QString )" and "QString foo()" automatically into the corresponding setProperty/property calls.

Definition at line 38 of file kdcoppropertyproxy.h.

## Constructor & Destructor Documentation

KDCOPPropertyProxy::KDCOPPropertyProxy | ( | QObject * | object | ) |

| Convenience constructor. Use it if you want to use this class as object, in contrary to using the static methods of this class and providing a QObject argument for each call. Definition at line 55 of file kdcoppropertyproxy.cpp.

KDCOPPropertyProxy::~KDCOPPropertyProxy | ( |  | ) |

| Destructor. Definition at line 61 of file kdcoppropertyproxy.cpp.

## Member Function Documentation

bool KDCOPPropertyProxy::isPropertyRequest | ( | const QCString & | fun | ) |

| Convenience method, when using this class as object. See documentation of the constructor and static isPropertyRequest method. Definition at line 66 of file kdcoppropertyproxy.cpp.

bool KDCOPPropertyProxy::processPropertyRequest | ( | const QCString & | fun,
|  | const QByteArray & | data,
|  | QCString & | replyType,
|  | QByteArray & | replyData
| ) |

| Convenience method, when using this class as object. See documentation of the constructor and static processPropertyRequest method. Definition at line 71 of file kdcoppropertyproxy.cpp.

QValueList< QCString > KDCOPPropertyProxy::functions | ( |  | ) |

| Convenience method, when using this class as object. See documentation of the constructor and static functions method. Definition at line 77 of file kdcoppropertyproxy.cpp.

QValueList< QCString > KDCOPPropertyProxy::functions | ( | QObject * | object | ) | `[static]`

| Returns a semicolon-separated list of functions understood by the PropertyProxy for the given QObject argument. Returns "property(QCString);setProperty(QCString,QVariant);propertyNames();" plus set/get methods for the properties of the given object argument. See also: DCOPObject::functions() Definition at line 94 of file kdcoppropertyproxy.cpp. References QMetaObject::findProperty(), QObject::metaObject(), KStdAction::name(), QMetaObject::property(), QMetaObject::propertyNames(), QMetaProperty::type(), and QMetaProperty::writable().

bool KDCOPPropertyProxy::isPropertyRequest | ( | const QCString & | fun,
|  | QObject * | object
| ) | `[static]`

| Returns true if the method request in the fun argument matches the signature of the three standard property methods or set/get methods for the properties of the object argument. Use this method in your own DCOPObject dispatcher to check if the DCOP request is a property request which can be handled by this class. Definition at line 82 of file kdcoppropertyproxy.cpp.

bool KDCOPPropertyProxy::processPropertyRequest | ( | const QCString & | fun,
|  | const QByteArray & | data,
|  | QCString & | replyType,
|  | QByteArray & | replyData,
|  | QObject * | object
| ) | `[static]`

| Processes the given DCOP method request by translating the request into a setProperty/property call on the given QObject argument. Definition at line 128 of file kdcoppropertyproxy.cpp. References QValueList::append(), QObject::metaObject(), QVariant::nameToType(), QObject::property(), QObject::setProperty(), QVariant::toBool(), QVariant::toIconSet(), QVariant::type(), and QVariant::typeName().

The documentation for this class was generated from the following files:

- kdcoppropertyproxy.h
- kdcoppropertyproxy.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:48:34 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001